# Class ConeErrorPolicyParameter

java.lang.Object
uk.ac.starlink.task.Parameter<ConeErrorPolicy>
uk.ac.starlink.ttools.cone.ConeErrorPolicyParameter

public class ConeErrorPolicyParameter extends uk.ac.starlink.task.Parameter<ConeErrorPolicy>
Parameter for selecting `ConeErrorPolicy` objects.

Since:
  24 Jan 2008
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ConeErrorPolicyParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConeErrorPolicy`
`policyValue(uk.ac.starlink.task.Environment env)`
Returns the value of this parameter as a ConeErrorPolicy.
`ConeErrorPolicy`
`stringToObject(uk.ac.starlink.task.Environment env, String stringVal)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConeErrorPolicyParameter

public ConeErrorPolicyParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### policyValue

public ConeErrorPolicy policyValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the value of this parameter as a ConeErrorPolicy.

Parameters:
  `env` - execution environment
Returns:
  error policy value
Throws:
  `uk.ac.starlink.task.TaskException`

### stringToObject

public ConeErrorPolicy stringToObject(uk.ac.starlink.task.Environment env, String stringVal) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<ConeErrorPolicy>`
Throws:
  `uk.ac.starlink.task.TaskException`